Description

Due to the way the TOC is handled by Textile (RedCloth) it isn't possible to use a TOC in multiple messages in the same

forum-thread.

The TOC in the second (or latest) message will start counting the sections of the TOC from 1 instead of following the counting

already "taken" by earlier messages with TOC's.

An example of this behaviour can be viewed on this thread here: http://www.redmine.org/boards/1/topics/show/2352.

Before I clicked "Create" I already thought the TOC could behave wrongly while using multiple TOC within one thread. After seeing

the result I filed this issue.

If this gets too complicated I'd suggest to remove the TOC-functionality completely from the Forum-component.

History

#1 - 2008-09-17 14:29 - Thomas Lecavelier

Agree. I don't know if Textile is still an active development. It could be sane to add possibly for TOC to get a prefix to avoid that kind of problem.

But prevent TOC usage from forum is quite reasonable too, since posts like yours (very well written, btw) are very rare.

#2 - 2008-09-17 19:00 - Jean-Philippe Lang

Actually, TOC rendering is not part of the original RedCloth lib. I added it in r718.

I'll see what I can do...

#3 - 2008-09-17 19:07 - Jean-Philippe Lang

IMHO, the solution would be to use the heading content as anchor key, just like most wikis do.

Eg. http://www.redmine.org/boards/1/topics/show/2352#Fork_investigation

instead of: http://www.redmine.org/boards/1/topics/show/2352#2

What do you think ?

#4 - 2008-09-17 23:06 - Mischa The Evil

Jean-Philippe Lang wrote:

IMHO, the solution would be to use the heading content as anchor key, just like most wikis do.

Eg. http://www.redmine.org/boards/1/topics/show/2352#Fork_investigation

instead of: http://www.redmine.org/boards/1/topics/show/2352#2

What do you think ?

 I think that would be the best way to handle the TOC.

Besides that: how longer I think about using a TOC inside a forum-message, how stranger it seems to become.

I rather used them to make the long posts in the forum more navigatable (thus readable) though it feels also unnatural to me to use them inside

forum-posts.

This however also affects other places than the forum. It seems unnatural to me at in fact all other places besides the wiki and the news-component...

Thomas Lecavelier wrote:

...since posts like yours (very well written, btw) are very rare.
 ...Being so free to take this as a tiny thumbs-up... Thanks! :-)

#5 - 2008-09-19 17:50 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Mischa The Evil wrote:

I think that would be the best way to handle the TOC.

 Actually, it's already implemented in r1705 (redmine.org is running an earlier revision). Didn't remember about that.

Besides that: how longer I think about using a TOC inside a forum-message, how stranger it seems to become.

 Maybe, but you're free not to use it :-)

#6 - 2008-09-19 19:22 - Mischa The Evil

Jean-Philippe Lang wrote:

Mischa The Evil wrote:

I think that would be the best way to handle the TOC.

 Actually, it's already implemented in r1705 (redmine.org is running an earlier revision). Didn't remember about that.

 Didn't noticed it either, although I'm running trunk's HEAD myself. My bad... Though thanks for the quick heads-up!
